Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events.model
Class EventProducerModel

    java.lang.Object
      org.apache.fop.events.model.EventProducerModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

    public class EventProducerModel

extends java.lang.Object
implements java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

Represents the model of an event producer with multiple event methods.

See Also:
  Serialized Form

Constructor Summary
`EventProducerModel(java.lang.String interfaceName)` Creates a new instance.

Method Summary
`void` | `addMethod(EventMethodModel method)` Adds a model instance of an event method.
`java.lang.String` | `getInterfaceName()` Returns the fully qualified interface name of the event producer.
`EventMethodModel` | `getMethod(java.lang.String methodName)` Returns the model instance of an event method for the given method name.
`java.util.Iterator` | `getMethods()` Returns an iterator over the contained event producer methods.
`void` | `setInterfaceName(java.lang.String name)` Sets the fully qualified interface name of the event producer.
`void` | `toSAX(org.xml.sax.ContentHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventProducerModel

    public EventProducerModel(java.lang.String interfaceName)

  Creates a new instance.

  Parameters:
    `interfaceName` - the fully qualified interface name of the event producer

Method Detail

### getInterfaceName

    public java.lang.String getInterfaceName()

  Returns the fully qualified interface name of the event producer.

  Returns:
    the fully qualified interface name

### setInterfaceName

    public void setInterfaceName(java.lang.String name)

  Sets the fully qualified interface name of the event producer.

  Parameters:
    `name` - the fully qualified interface name

### addMethod

    public void addMethod(EventMethodModel method)

  Adds a model instance of an event method.

  Parameters:
    `method` - the event method model

### getMethod

    public EventMethodModel getMethod(java.lang.String methodName)

  Returns the model instance of an event method for the given method name.

  Parameters:
    `methodName` - the method name
  Returns:
    the model instance (or null if no method with the given name exists)

### getMethods

    public java.util.Iterator getMethods()

  Returns an iterator over the contained event producer methods.

  Returns:
    an iterator (Iterator<EventMethodModel>)

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.